- [HTTP request](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/updateAttributes#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/updateAttributes#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/updateAttributes#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/updateAttributes#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/updateAttributes#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/updateAttributes#body.aspect)

Update attributes for a given location.

### HTTP request

`PATCH https://mybusinessbusinessinformation.googleapis.com/v1/{attributes.name=locations/*/attributes}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `attributes.name` | `string` Required. Google identifier for this location in the form of `locations/{locationId}/attributes`. |

### Query parameters

| Parameters ||
|---|---|
| `attributeMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Attribute name of attributes that you'd like to update. Represented by `attributes/{attribute}`. Updates: All attributes provided in the attributes field that you would like to update must be set in the `attributeMask`. Attributes set in the above list but not in the `attributeMask` will be ignored. Deletes: If you'd like to delete certain attributes, they must be specified in the `attributeMask` with no matching entry in the attributes list. If you'd like to delete all attributes set on a location, you should look up all the applicable attributes for the location and then add them to the `attributeMask` with an empty attributes field. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/businessinformation/rest/v1/Attributes`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/businessinformation/rest/v1/Attributes`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).